picocli

## Interface CommandLine.Model.IScope

All Superinterfaces:
  CommandLine.Model.IGetter, CommandLine.Model.ISetter

Enclosing class:
  CommandLine.Model

    public static interface CommandLine.Model.IScope
    extends CommandLine.Model.IGetter, CommandLine.Model.ISetter

The scope of a binding is the context where the current value should be gotten from or set to. For a field, the scope is the object whose field value to get/set. For a method binding, it is the object on which the method should be invoked.

The getter and setter of the scope allow you to change the object onto which the option and positional parameter getters and setters should be applied.

Since:
  4.0

### Method Summary

### Methods inherited from interface picocli.CommandLine.Model.IGetter

`get`

### Methods inherited from interface picocli.CommandLine.Model.ISetter

`set`